ainpgp/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('blog.urls')),
]

blog/urls.py
from django.urls import path

from .views import *

urlpatterns = [
    path('', index, name='index'),
    # Admin
    path('admin_index/', admin_index, name='admin_index'),
    # Login
    path('login/', login_page, name='login'),
    path('logout/', logoutUser, name='logout'),
    # Vantagem
    path('vantagem_list/', vantagem_list, name='vantagem_list'),
    path('vantagem_create/', vantagem_create, name='vantagem_create'),
    path('vantagem_edit/<int:pk>/', vantagem_edit, name='vantagem_edit'),
    path('vantagem_delete/<int:pk>/', vantagem_delete, name='vantagem_delete'),
    # Opinioes
    path('opiniao_list/', opiniao_list, name='opiniao_list'),
    path('opiniao_create/', opiniao_create, name='opiniao_create'),
    path('opiniao_edit/<int:pk>/', opiniao_edit, name='opiniao_edit'),
    path('opiniao_delete/<int:pk>/', opiniao_delete, name='opiniao_delete'),
    # Atualidades
    path('atualidades/', noticias_list, name='noticias_list'),
    path('atualidades/<int:pk>', noticia_detail, name='post-detail'),
    path('atualidades_list/', AtualidadeListView.as_view(), name='atualidade_list'),
    path('atualidades_create/', AtualidadeCreateView.as_view(), name='atualidade_create'),
    path('atualidades_update/<int:pk>/', AtualidadeUpdateView.as_view(), name='atualidade_update'),
    path('atualidades_delete/<int:pk>/', AtualidadeDeleteView.as_view(), name='atualidade_delete'),
    # Contato
    path('contato/', contato, name='contato'),
    # Quem Somos
    path('quem_somos/', quem_somos, name='quem_somos'),
    # Colaborador
    path('colaborador_list/', ColaboradorListView.as_view(), name='colaborador_list'),
    path('colaborador_create/', ColaboradorCreateView.as_view(), name='colaborador_create'),
    path('colaborador_update/<int:pk>/', ColaboradorUpdateView.as_view(), name='colaborador_edit'),
    path('colaborador_delete/<int:pk>/', ColaboradorDeleteView.as_view(), name='colaborador_delete'),
    # Diretoria
    path('diretoria/', diretoria, name='diretoria'),
    path('diretoria_list/', DiretoriaListView.as_view(), name='diretoria_list'),
    path('diretoria_create/', DiretoriaCreateView.as_view(), name='diretoria_create'),
    path('diretoria_update/<int:pk>/', DiretoriaUpdateView.as_view(), name='diretoria_edit'),
    path('diretoria_delete/<int:pk>/', DiretoriaDeleteView.as_view(), name='diretoria_delete'),
    # Estatuto e documentos
    #path('diretoria/', diretoria, name='diretoria'),
    path('estatuto_documento_list/', EstatutoDocumentoListView.as_view(), name='estatuto_documento_list'),
    path('estatuto_documento_create/', EstatutoDocumentoCreateView.as_view(), name='estatuto_documento_create'),
    path('estatuto_documento_update/<int:pk>/', EstatutoDocumentoUpdateView.as_view(), name='estatuto_documento_edit'),
    path('estatuto_documento_delete/<int:pk>/', EstatutoDocumentoDeleteView.as_view(), name='estatuto_documento_delete'),
    # Formulario Associados
    path('associe/', associados, name='associe'),

]

blog/models.py
from django.conf import settings
from django.db import models


# Create your models here.


class Autor(models.Model):
    user = models.OneToOneField(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE,
    )
    bio = models.CharField(max_length=240, blank=True)

    def __str__(self):
        return self.user.get_username()




class Publicacao(models.Model):
    CATEGORIAS = [
        ('NT', 'Notícias'),
        ('OP', 'Opinião'),
        ('EX', 'Experiências'),
    ]

    titulo = models.CharField(max_length=255)
    texto = models.TextField()
    imagem = models.ImageField(upload_to='images')
    autor = models.ForeignKey(Autor, on_delete=models.CASCADE)
    data = models.DateField(db_index=True, auto_now_add=True)
    categoria = models.CharField(choices=CATEGORIAS, max_length=2)

    def __str__(self):
        return self.titulo


class Comentario(models.Model):
    comentario = models.CharField(max_length=400)
    nome = models.CharField(max_length=150)
    publ = models.ForeignKey(Publicacao, on_delete=models.CASCADE, blank=True)
    data = models.DateField(db_index=True, auto_now_add=True, blank=True)

    def __str__(self):
        return self.comentario


class Vantagem(models.Model):
    titulo = models.CharField(max_length=35)
    texto = models.CharField(max_length=240)

    def __str__(self):
        return self.titulo


class Opiniao(models.Model):
    texto = models.TextField(max_length=350)
    nome = models.CharField(max_length=100)
    vinculo = models.CharField(max_length=100)

    def __str__(self):
        return self.texto


class Banner(models.Model):
    titulo = models.CharField(max_length=50)
    texto = models.CharField(max_length=150)
    link = models.URLField()

    def __str__(self):
        return self.titulo


class Acesso(models.Model):
    data = models.DateTimeField(auto_now_add=True)


class Colaborador(models.Model):
    nome = models.CharField(max_length=250)
    email = models.EmailField()
    telefone = models.CharField(max_length=13)
    ativo = models.DateField()

class Diretoria(models.Model):
    nome = models.CharField(max_length=250, verbose_name='Título/Nome')
    sigla = models.CharField(max_length=10, verbose_name='Sigla da Instituição')
    cargo = models.CharField(max_length=50)

class EstatutoDocumento(models.Model):
    titulo = models.CharField(max_length=250, verbose_name='Título')
    descricao = models.CharField(max_length=500, verbose_name='Descrição')
    arquivo = models.FileField()

class Imagens(models.Model):
    imagem = models.ImageField()

class InformesFIPED(models.Model):
    titulo = models.CharField(max_length=250, verbose_name='Título')
    texto = models.TextField(verbose_name='Texto', blank=True, null=True)
    imagens = models.ManyToManyField(Imagens, blank=True, null=True)

class EdicoesFIPED(models.Model):
    titulo = models.CharField(max_length=250, verbose_name='Título')
    capa = models.ImageField()
    texto = models.TextField(verbose_name='Texto', blank=True, null=True)
    imagens = models.ManyToManyField(Imagens, blank=True, null=True)

class Associacao(models.Model):

    ATIVIDADE_CHOICES = [
        ('PPNS','Professores, pesquisadores de nível superior'),
        ('PEB','Professores da Educação Básica'),
        ('PE','Profissionais da educação'),
        ('EPG','Estudantes de Pós Graduação'),
        ('EG','Estudantes de Graduação e outras categorias'),
    ]
    PAGAMENTO_CHOICES = [
        ('PP','Paypal'),
        ('T','Transferência'),
    ]

    fisica = models.BooleanField(blank=True)
    juridica = models.BooleanField(blank=True)
    nome_razao = models.CharField(max_length=255)
    data_nascimento = models.DateField()
    cpf_cnpj = models.CharField(max_length=14)
    endereco = models.CharField(max_length=255)
    numero_end = models.CharField(max_length=5)
    cep = models.CharField(max_length=8)
    bairro = models.CharField(max_length=100)
    cidade = models.CharField(max_length=100)
    uf = models.CharField(max_length=2)
    pais = models.CharField(max_length=50)
    tel_cel = models.CharField(max_length=12)
    tel_fixo = models.CharField(max_length=12)
    email = models.EmailField()
    endereco_trab = models.CharField(max_length=255)
    numero_end_trab = models.CharField(max_length=5)
    cep_trab = models.CharField(max_length=8)
    bairro_trab = models.CharField(max_length=100)
    cidade_trab = models.CharField(max_length=100)
    uf_trab = models.CharField(max_length=2)
    pais_trab = models.CharField(max_length=50)
    tel_trab = models.CharField(max_length=12)
    email_trab = models.EmailField()
    lattes = models.URLField()
    ensino_fundamental = models.CharField(max_length=255)
    ensino_medio = models.CharField(max_length=255)
    graduacao = models.CharField(max_length=255)
    especializacao = models.CharField(max_length=255)
    mestrado = models.CharField(max_length=255)
    doutorado = models.CharField(max_length=255)
    pos_doc = models.CharField(max_length=255)
    outro = models.CharField(max_length=255)
    atividade_prof = models.CharField(max_length=4, choices=ATIVIDADE_CHOICES)
    pagamento = models.CharField(max_length=4, choices=PAGAMENTO_CHOICES)

blog/forms.py
from django import forms
from django.forms import ModelForm

from .models import Vantagem, Opiniao, Comentario, Associacao


class VantagemForm(forms.ModelForm):
    class Meta:
        model = Vantagem
        fields = '__all__'

class OpiniaoForm(forms.ModelForm):
    class Meta:
        model = Opiniao
        fields = '__all__'

class ComentarioForm(forms.ModelForm):
    class Meta:
        model = Comentario
        fields = [
            'comentario',
            'nome',
            'publ',
                  ]

class ContatoForm(forms.Form):
    email = forms.EmailField()
    nome = forms.CharField()
    motivo_contato = forms.CharField()
    mensagem = forms.CharField(widget=forms.Textarea)

class AssocieForm(ModelForm):
    class Meta:
        model = Associacao
        fields = '__all__'

blog/templates/associe.html
{% extends 'base.html' %}
{% load widget_tweaks %}
{% load static %}
{% block content %}
    <section id="inner-headline">
        <div class="container">
            <div class="row">
                <div class="span12">
                    <div class="inner-heading">
                        <ul class="breadcrumb">
                            <li><a href="{% url 'index' %}">Home</a> <i class="icon-angle-right"></i></li>
                            <li class="active">Contato</li>
                        </ul>
                        <h2>Associe-se</h2>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section id="content">
        <div class="container">
            <div class="row">
                <div class="span12">
                    <h4>Preencha o formulário abaixo para fazer parte dos associados do AINPGP</h4>
                    <form action="" method="post" role="form" class="associeForm">
                        {% csrf_token %}
                        <label for="fisica">Pessoa Física</label>
                        <input type="checkbox" name="fisica" label="Pessoa Física" id="id_fisica">
                        <label for="juridica">Pessoa Jurídica</label>
                        <input type="checkbox" name="juridica" label="Pessoa Física" id="id_juridica">
                        <label for="nome_razao">Nome:</label>
                        {% render_field associeform.nome_razao placeholder="Nome completo" %}
                        <label for="data_nascimento">Data de Nascimento:</label>
                        {% render_field associeform.data_nascimento placeholder="Data de Nascimento" %}
                        <label for="cpf_cnpj">CPF:</label>
                        {% render_field associeform.cpf_cnpj placeholder="" %}
                        <label for="endereco">Endereço:</label>
                        {% render_field associeform.endereco placeholder="" %}
                        <label for="numero_end">Número:</label>
                        {% render_field associeform.numero_end placeholder="" %}
                        <label for="cep">CEP:</label>
                        {% render_field associeform.cep placeholder="" %}
                        <label for="bairro">Bairro:</label>
                        {% render_field associeform.bairro placeholder="" %}
                        <label for="cidade">Cidade:</label>
                        {% render_field associeform.cidade placeholder="" %}
                        <label for="uf">UF:</label>
                        {% render_field associeform.uf placeholder="" %}
                        <label for="pais">País:</label>
                        {% render_field associeform.pais placeholder="" %}
                        <label for="tel_cel">Telefone Celular:</label>
                        {% render_field associeform.tel_cel placeholder="" %}
                        <label for="tel_cel">Telefone Fixo:</label>
                        {% render_field associeform.tel_fixo placeholder="" %}
                        <label for="tel_cel">Email:</label>
                        {% render_field associeform.email placeholder="" %}
                        <!-- Separar por endereço profissional -->
                        <label for="endereco">Endereço:</label>
                        {% render_field associeform.endereco_trab placeholder="" %}
                        <label for="numero_end">Número:</label>
                        {% render_field associeform.numero_end_trab placeholder="" %}
                        <label for="cep">CEP:</label>
                        {% render_field associeform.cep_trab placeholder="" %}
                        <label for="bairro">Bairro:</label>
                        {% render_field associeform.bairro_trab placeholder="" %}
                        <label for="cidade">Cidade:</label>
                        {% render_field associeform.cidade_trab placeholder="" %}
                        <label for="uf">UF:</label>
                        {% render_field associeform.uf_trab placeholder="" %}
                        <label for="pais">País:</label>
                        {% render_field associeform.pais_trab placeholder="" %}
                        <label for="tel_cel">Telefone Profissional:</label>
                        {% render_field associeform.tel_trab placeholder="" %}
                        <label for="tel_cel">Email Profissional:</label>
                        {% render_field associeform.email_trab placeholder="" %}
                        <label for="tel_cel">Lattes:</label>
                        {% render_field associeform.lattes placeholder="" %}
                        <label for="ensino_fundamental">Ensino Fundamental:</label>
                        {% render_field associeform.ensino_fundamental placeholder="" %}
                        <label for="ensino_fundamental">Ensino Médio:</label>
                        {% render_field associeform.ensino_medio placeholder="" %}
                        <label for="ensino_fundamental">Ensino Superior:</label>
                        {% render_field associeform.graduacao placeholder="" %}
                        <label for="ensino_fundamental">Mestrado:</label>
                        {% render_field associeform.mestrado placeholder="" %}
                        <label for="ensino_fundamental">Doutorado: </label>
                        {% render_field associeform.doutorado placeholder="" %}
                        <label for="ensino_fundamental">Pós Doutorado:</label>
                        {% render_field associeform.pos_doc placeholder="" %}
                        <label for="ensino_fundamental">Outra Formação</label>
                        {% render_field associeform.outro placeholder="" %}
                        <label for="ensino_fundamental">Atividade Profissional:</label>
                        {% render_field associeform.atividade_prof placeholder="" %}
                        <label for="ensino_fundamental">Método de Pagamento:</label>
                        {% render_field associeform.pagamento placeholder="" %}


                        <div class="text-center">
                            <button class="btn btn-theme btn-medium btn-danger margintop10" type="submit">Enviar
                                Mensagem
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
{% endblock %}

blog/templates/atualidade_list.html
{% extends 'admin-index.html' %}

{% block content %}
    <div class="col-md-12 col-sm-12  ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Atualidades</h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li>
                        <button type="button" onclick="location.href = {% url 'atualidade_create' %}"
                                class="btn btn-primary">Adicionar Atualidade
                        </button>
                    </li>
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Título</th>
                        <th>Autor</th>
                        <th>Data de Atualização</th>
                        <th>Categoria</th>
                        <th>Ações</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for atualidade in object_list %}
                        <tr>
                            <th scope="row">{{ atualidade.titulo }}</th>
                            <td>{{ atualidade.autor }}</td>
                            <td>{{ atualidade.data }}</td>
                            <td>{{ atualidade.categoria }}</td>
                            <td>
                                <a href="{% url 'atualidade_update' pk=atualidade.pk %}">
                                    <i class="fa fa-edit fa-lg" style="height: 20px; width: 20px; padding-right: 25px;"></i>
                                </a>
                                <a href="{% url 'atualidade_delete' pk=atualidade.pk %}">
                                    <i class="fa fa-trash fa-lg" style="height: 20px; width: 20px;"></i>
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>

            </div>
        </div>
    </div>
{% endblock %}

blog/templates/colaborador_form.html
{% extends 'admin-index.html' %}
{% load widget_tweaks %}
{% block content %}
    {{ form.errors }}
    <div class="col-md-12 ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Colaborador <small>Adicione colaboradores para aparecer na página de Quem Somos</small></h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form class="form-horizontal form-label-left" method="post" action="" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Nome</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.nome class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">E-mail</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.email class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Telefone</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.telefone class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Ativo desde</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.ativo class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row">
                    </div>
                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9  offset-md-3">
                            <button class="btn btn-primary" onclick="location.href = {% url 'colaborador_list' %}"
                                    type="button">Voltar
                            </button>
                            <button type="submit" class="btn btn-success">Enviar</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

blog/templates/diretoria_form.html
{% extends 'admin-index.html' %}
{% load widget_tweaks %}
{% block content %}
    {{ form.errors }}
    <div class="col-md-12 ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Diretoria <small>Adicione diretores para aparecer na página de Diretoria</small></h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form class="form-horizontal form-label-left" method="post" action="" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Nome</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.nome placeholder="Ex: Prof Dr. Henrique Garcia" class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Sigla da Instituição</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.sigla placeholder="Ex: UFRN" class="form-control" %}
                        </div>
                    </div>
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Cargo</label>
                        <div class="col-md-9 col-sm-9 ">
                           {% render_field form.cargo placeholder="Ex: Tesoureiro" class="form-control" %}
                        </div>
                    </div>
                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9  offset-md-3">
                            <button class="btn btn-primary" onclick="location.href = {% url 'diretoria_list' %}"
                                    type="button">Voltar
                            </button>
                            <button type="submit" class="btn btn-success">Enviar</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

blog/templates/opiniao_form.html
{% extends 'admin-index.html' %}
{% block content %}
    <div class="col-md-12 ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Opinião <small>Opinião dos nossos colaboradores</small></h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form class="form-horizontal form-label-left" method="post" action="">
                    {% csrf_token %}
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Nome</label>
                        <div class="col-md-9 col-sm-9 ">
                            <input type="text" class="form-control" id="id_nome" name="nome"
                                   value="{% if form.nome.value %} {{ form.nome.value }} {% endif %}">
                        </div>
                    </div>
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Vínculo</label>
                        <div class="col-md-9 col-sm-9 ">
                            <input type="text" class="form-control" id="id_vinculo" name="vinculo"
                                   value="{% if form.vinculo.value %} {{ form.vinculo.value }} {% endif %}">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Texto<span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 ">
                            <textarea class="form-control" name="texto" rows="3"> {% if form.texto.value %}
                                {{ form.texto.value }} {% endif %}</textarea>
                        </div>
                    </div>
                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9  offset-md-3">
                            <button class="btn btn-primary" onclick="location.href = {% url 'opiniao_list' %}"
                                    type="button">Voltar
                            </button>
                            <button type="submit" class="btn btn-success">Enviar</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

blog/templates/post-detail.html
{% extends 'blog-index.html' %}
{% block bodyblock %}
    <div class="span8">

        <article class="single">
            <div class="row">

                <div class="span8">
                    <div class="post-image">
                        <div class="post-heading">
                            <h3><a href="#">{{ publicacao.titulo }}</a></h3>
                        </div>
                        <img src="img/dummies/blog/img1.jpg" alt=""/>
                    </div>
                    <div class="meta-post">
                        <ul>
                            <li><i class="icon-file"></i></li>
                            <li>Por <a href="#" class="author">{{ publicacao.autor }}</a></li>
                            <li>On <a href="#" class="date">{{ publicacao.data }}</a></li>
                            <li>Categoria: <a href="#">{{ publicacao.categoria }}</a></li>
                        </ul>
                    </div>
                    <p>
                        {{ publicacao.texto }}
                    </p>
                </div>
            </div>
        </article>

        <!-- author info -->
        <div class="about-author">
            <a href="#" class="thumbnail align-left"><img src="img/avatar.png" alt=""/></a>
            <h5><strong><a href="#">John doe</a></strong></h5>
            <p>
                Qui ut ceteros comprehensam. Cu eos sale sanctus eligendi, id ius elitr saperet, ocurreret pertinacia
                pri an. No mei nibh consectetuer, semper ad qui, est rebum nulla argumentum ei.
            </p>
        </div>

        <div class="comment-area">

            <h4>4 Comments</h4>
            {% for comentario in cometarios %}
                <div class="media">
                    <div class="media-body">
                        <div class="media-content">
                            <h6><span>{{ comentario.data }}</span> {{ comentario.nome }}</h6>
                            <p>
                                {{ comentario.comentario }}
                            </p>

                            <a href="#" class="align-right">Reply</a>
                        </div>
                    </div>
                </div>
            {% endfor %}
            <div class="marginbot30"></div>
            <h4>Deixe aqui seu comentário</h4>

            <form id="commentform" action="#" method="post" name="comment-form">
                {% csrf_token %}
                <div class="row">
                    <div class="span4">
                        <input type="text" name="nome" id="id_nome" placeholder="Digite seu nome completo"/>
                    </div>
                    <div class="span8 margintop10">
                        <p>
                            <textarea rows="12" class="input-block-level" name="comentario" id="id_comentario"
                                      placeholder="Digite o seu comentário"></textarea>
                        </p>
                        <p>
                            <button type="submit" class="btn btn-theme btn-medium margintop10">Enviar</button>
                        </p>
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}

blog/templates/vantagem_form.html
{% extends 'admin-index.html' %}
{% block content %}
    <div class="col-md-12 ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Vantagens <small>Vantagem de ser um associado</small></h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br/>
                <form class="form-horizontal form-label-left" method="post" action="">
                    {% csrf_token %}
                    <div class="form-group row ">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Título</label>
                        <div class="col-md-9 col-sm-9 ">
                            <input type="text" class="form-control" id="id_titulo" name="titulo" value="{% if form.titulo.value %} {{form.titulo.value}} {% endif %}" >
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-form-label col-md-3 col-sm-3 label-align">Texto<span class="required">*</span>
                        </label>
                        <div class="col-md-9 col-sm-9 ">
                            <textarea class="form-control" name="texto" rows="3"> {% if form.texto.value %} {{form.texto.value}} {% endif %}</textarea>
                        </div>
                    </div>
                    <div class="ln_solid"></div>
                    <div class="form-group">
                        <div class="col-md-9 col-sm-9  offset-md-3">
                            <button class="btn btn-primary" onclick="location.href = {% url 'vantagem_list' %}" type="button">Voltar</button>
                            <button type="submit" class="btn btn-success">Enviar</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}